package com.google.ads.c;

import com.google.ads.util.g;
import java.lang.reflect.Field;
import java.util.HashMap;
import java.util.Map;

public abstract class e {
    public final void a(Map map) {
        String str;
        HashMap hashMap = new HashMap();
        Field[] fields = getClass().getFields();
        for (Field field : fields) {
            g gVar = (g) field.getAnnotation(g.class);
            if (gVar != null) {
                hashMap.put(gVar.a(), field);
            }
        }
        if (hashMap.isEmpty()) {
            g.e("No server options fields detected.  To suppress this message either add a field with the @Parameter annotation, or override the load() method");
        }
        for (Map.Entry entry : map.entrySet()) {
            Field field2 = (Field) hashMap.remove(entry.getKey());
            if (field2 != null) {
                try {
                    field2.set(this, entry.getValue());
                } catch (IllegalAccessException e) {
                    g.b("Server Option '" + ((String) entry.getKey()) + "' could not be set: Illegal Access");
                } catch (IllegalArgumentException e2) {
                    g.b("Server Option '" + ((String) entry.getKey()) + "' could not be set: Bad Type");
                }
            } else {
                g.e("Unexpected Server Option: " + ((String) entry.getKey()) + " = '" + ((String) entry.getValue()) + "'");
            }
        }
        String str2 = null;
        for (Field field3 : hashMap.values()) {
            if (((g) field3.getAnnotation(g.class)).b()) {
                g.b("Required Server Option missing: " + ((g) field3.getAnnotation(g.class)).a());
                str = (str2 == null ? "" : str2 + ", ") + ((g) field3.getAnnotation(g.class)).a();
            } else {
                str = str2;
            }
            str2 = str;
        }
        if (str2 != null) {
            throw new f("Required Server Option(s) missing: " + str2);
        }
    }
}
