package com.google.ads.util;

import android.content.Context;
import android.webkit.WebResourceResponse;
import android.webkit.WebView;
import com.google.ads.b.ad;
import com.google.ads.b.n;
import com.google.ads.b.w;
import com.google.ads.bq;
import com.google.ads.br;
import java.io.ByteArrayInputStream;
import java.io.File;
import java.io.IOException;
import java.io.InputStreamReader;
import java.net.HttpURLConnection;
import java.net.URL;
import java.util.Map;

public final class y extends ad {
    public y(w wVar, Map map, boolean z, boolean z2) {
        super(wVar, map, z, z2);
    }

    private static WebResourceResponse a(String str, Context context) {
        HttpURLConnection httpURLConnection = (HttpURLConnection) new URL(str).openConnection();
        try {
            AdUtil.a(httpURLConnection, context.getApplicationContext());
            httpURLConnection.connect();
            return new WebResourceResponse("application/javascript", "UTF-8", new ByteArrayInputStream(AdUtil.a(new InputStreamReader(httpURLConnection.getInputStream())).getBytes("UTF-8")));
        } finally {
            httpURLConnection.disconnect();
        }
    }

    @Override // android.webkit.WebViewClient
    public final WebResourceResponse shouldInterceptRequest(WebView webView, String str) {
        try {
            if ("mraid.js".equalsIgnoreCase(new File(str).getName())) {
                n i = this.f93a.i();
                if (i != null) {
                    i.b();
                } else {
                    this.f93a.a(true);
                }
                br brVar = (br) ((bq) this.f93a.g().d.a()).f164b.a();
                if (this.f93a.g().b()) {
                    String str2 = (String) brVar.g.a();
                    g.a("shouldInterceptRequest(" + str2 + ")");
                    return a(str2, webView.getContext());
                } else if (this.f94b) {
                    String str3 = (String) brVar.f.a();
                    g.a("shouldInterceptRequest(" + str3 + ")");
                    return a(str3, webView.getContext());
                } else {
                    String str4 = (String) brVar.e.a();
                    g.a("shouldInterceptRequest(" + str4 + ")");
                    return a(str4, webView.getContext());
                }
            }
        } catch (IOException e) {
            g.d("IOException fetching MRAID JS.", e);
        } catch (Throwable th) {
            g.d("An unknown error occurred fetching MRAID JS.", th);
        }
        return super.shouldInterceptRequest(webView, str);
    }
}
